[arc:topic-zol-remove 49/49] arch/arc/kernel/entry-arcv2.S:212: Error: bad expression

2020-05-21 Thread kbuild test robot
Hi Vineet,

First bad commit (maybe != root cause):

tree:   https://git.kernel.org/pub/scm/linux/kernel/git/vgupta/arc.git 
topic-zol-remove
head:   3138fa6a1832fdb830784a9781e63d739c0fdef7
commit: 3138fa6a1832fdb830784a9781e63d739c0fdef7 [49/49] ARC: entry: assembler 
macros to emulate pseudo instructions
config: arc-randconfig-r021-20200520 (attached as .config)
compiler: arc-elf-gcc (GCC) 9.3.0
reproduce (this is a W=1 build):
wget 
https://raw.githubusercontent.com/intel/lkp-tests/master/sbin/make.cross -O 
~/bin/make.cross
chmod +x ~/bin/make.cross
git checkout 3138fa6a1832fdb830784a9781e63d739c0fdef7
# save the attached .config to linux build tree
COMPILER_INSTALL_PATH=$HOME/0day COMPILER=gcc-9.3.0 make.cross ARCH=arc 

If you fix the issue, kindly add following tag as appropriate
Reported-by: kbuild test robot 

All errors (new ones prefixed by >>, old ones prefixed by <<):

arch/arc/kernel/entry-arcv2.S: Assembler messages:
>> arch/arc/kernel/entry-arcv2.S:212: Error: bad expression
>> arch/arc/kernel/entry-arcv2.S:212: Error: Brackets in operand field incorrect
>> arch/arc/kernel/entry-arcv2.S:212: Error: syntax error
>> arch/arc/kernel/entry-arcv2.S:212: Error: bad expression
>> arch/arc/kernel/entry-arcv2.S:212: Error: Brackets in operand field incorrect
>> arch/arc/kernel/entry-arcv2.S:212: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error
arch/arc/kernel/entry-arcv2.S:220: Error: bad expression
arch/arc/kernel/entry-arcv2.S:220: Error: Brackets in operand field incorrect
arch/arc/kernel/entry-arcv2.S:220: Error: syntax error

vim +212 arch/arc/kernel/entry-arcv2.S

75370ad44075e8 Vineet Gupta 2019-05-22  194  
1f6ccfff631467 Vineet Gupta 2013-05-13  195  debug_marker_l1:
e494239a007e60 Vineet Gupta 2018-06-06  196 ; bbit1.nt r0, STATUS_DE_BIT, 
.Lintr_ret_to_delay_slot
e494239a007e60 Vineet Gupta 2018-06-06  197 btstr0, STATUS_DE_BIT   
; Z flag set if bit clear
e494239a007e60 Vineet Gupta 2018-06-06  198 bnz 
.Lintr_ret_to_delay_slot; branch if STATUS_DE_BIT set
4255b07f2c9c43 Vineet Gupta 2014-09-22  199  
1f6ccfff631467 Vineet Gupta 2013-05-13  200 ; Handle special case #1: 
(Entry via Exception, Return via IRQ)
1f6ccfff631467 Vineet Gupta 2013-05-13  201 ;
1f6ccfff631467 Vineet Gupta 2013-05-13  202 ; Exception in U mode, 
preempted in kernel, Intr taken (K mode), orig
1f6ccfff631467 Vineet Gupta 2013-05-13  203 ; task now returning to U mode 
(riding the Intr)
1f6ccfff631467 Vineet Gupta 2013-05-13  204 ; AUX_IRQ_ACTIVE won't have U 
bit set (since intr in K mode), hence SP
1f6ccfff631467 Vineet Gupta 2013-05-13  205 ; won't be switched to correct 
U mode value (from AUX_SP)
1f6ccfff631467 Vineet Gupta 2013-05-13  206 ; So force AUX_IRQ_ACT.U for 
such a case
1f6ccfff631467 Vineet Gupta 2013-05-13  207  
1f6ccfff631467 Vineet Gupta 2013-05-13  208 btstr0, STATUS_U_BIT
; Z flag set if K (Z clear for U)
1f6ccfff631467 Vineet Gupta 2013-05-13  209 bset.nz r11, r11, 
AUX_IRQ_ACT_BIT_U ; NZ means U
1f6ccfff631467 Vineet Gupta 2013-05-13  210 sr  r11, [AUX_IRQ_ACT]
1f6ccfff631467 Vineet Gupta 2013-05-13  211  
a4880801a72ecc Vineet Gupta 2019-05-15 @212 INTERRUPT_EPILOGUE
1f6ccfff631467 Vineet Gup

[arc:topic-zol-remove 31/50] include/linux/atomic-fallback.h:918:13: sparse: sparse: not a function

2020-05-21 Thread kbuild test robot
tree:   https://git.kernel.org/pub/scm/linux/kernel/git/vgupta/arc.git 
topic-zol-remove
head:   706f0ffb515d976d57112a19f9b11049d473848c
commit: 0f81f9cfa6066b6ada647ea1621509f05106f37a [31/50] ARC: cmpxchg/xchg: 
rewrite as macros to make type safe
config: arc-randconfig-s001-20200520 (attached as .config)
compiler: arc-elf-gcc (GCC) 9.3.0
reproduce:
# apt-get install sparse
# sparse version: v0.6.1-193-gb8fad4bc-dirty
git checkout 0f81f9cfa6066b6ada647ea1621509f05106f37a
# save the attached .config to linux build tree
make W=1 C=1 ARCH=arc CF='-fdiagnostic-prefix -D__CHECK_ENDIAN__'

If you fix the issue, kindly add following tag as appropriate
Reported-by: kbuild test robot 


sparse warnings: (new ones prefixed by >>)

   net/core/sock.c:1120:25: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
   include/linux/atomic-fallback.h:918:13: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
>> include/linux/atomic-fallback.h:918:13: sparse: sparse: not a function 
>> 
>> include/linux/atomic-fallback.h:918:13: sparse: sparse: not a function 
>> 
   include/linux/atomic-fallback.h:957:13: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
--
   include/linux/atomic-fallback.h:918:13: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
>> include/linux/atomic-fallback.h:918:13: sparse: sparse: not a function 
>> 
   include/asm-generic/atomic-long.h:906:16: sparse: sparse: undefined 
identifier '__builtin_arc_sr'
>> include/linux/atomic-fallback.h:918:13: sparse: sparse: not a function 
>> 
   include/linux/atomic-fallback.h:957:13: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
   include/linux/atomic-fallback.h:957:13: sparse: sparse: not a function 

   include/linux/atomic-fallback.h:957:13: sparse: sparse: not a function 

--
   net/core/dev.c:3185:23: sparse: sparse: incorrect type in argument 4 
(different base types) @@expected restricted __wsum [usertype] csum @@
got  [usertype] csum @@
   net/core/dev.c:3185:23: sparse:expected restricted __wsum [usertype] csum
   net/core/dev.c:3185:23: sparse:got unsigned int
   net/core/dev.c:3185:23: sparse: sparse: cast from restricted __wsum
   net/core/dev.c:3185:23: sparse: sparse: incorrect type in argument 4 
(different base types) @@expected restricted __wsum [usertype] csum @@
got  [usertype] csum @@
   net/core/dev.c:3185:23: sparse:expected restricted __wsum [usertype] csum
   net/core/dev.c:3185:23: sparse:got unsigned int
   net/core/dev.c:3185:23: sparse: sparse: incorrect type in argument 1 
(different base types) @@expected unsigned int [usertype] val @@got d 
int [usertype] val @@
   net/core/dev.c:3185:23: sparse:expected unsigned int [usertype] val
   net/core/dev.c:3185:23: sparse:got restricted __wsum
   net/core/dev.c:3185:23: sparse: sparse: incorrect type in argument 4 
(different base types) @@expected restricted __wsum [usertype] csum @@
got  [usertype] csum @@
   net/core/dev.c:3185:23: sparse:expected restricted __wsum [usertype] csum
   net/core/dev.c:3185:23: sparse:got unsigned int
   net/core/dev.c:3185:23: sparse: sparse: cast from restricted __wsum
   net/core/dev.c:3185:23: sparse: sparse: incorrect type in argument 4 
(different base types) @@expected restricted __wsum [usertype] csum @@
got  [usertype] csum @@
   net/core/dev.c:3185:23: sparse:expected restricted __wsum [usertype] csum
   net/core/dev.c:3185:23: sparse:got unsigned int
   net/core/dev.c:3185:23: sparse: sparse: cast from restricted __wsum
   net/core/dev.c:3185:23: sparse: sparse: incorrect type in argument 4 
(different base types) @@expected restricted __wsum [usertype] csum @@
got  [usertype] csum @@
   net/core/dev.c:3185:23: sparse:expected restricted __wsum [usertype] csum
   net/core/dev.c:3185:23: sparse:got unsigned int
   net/core/dev.c:3185:23: sparse: sparse: cast from restricted __wsum
   net/core/dev.c:3185:23: sparse: sparse: incorrect type in argument 4 
(different base types) @@expected restricted __wsum [usertype] csum @@
got  [usertype] csum @@
   net/core/dev.c:3185:23: sparse:expected restricted __wsum [usertype] csum
   net/core/dev.c:3185:23: sparse:got unsigned int
   net/core/dev.c:3185:23: sparse: sparse: cast from restricted __wsum
   net/core/dev.c:6209:18: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
   net/core/dev.c:6279:18: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
   net/core/dev.c:6377:29: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
   include/linux/atomic-fallback.h:918:13: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
>> include/linux/atomic-fallback.h:918:13: sparse: sparse: not a function 
>> 
>> include/linux/atomic-fallback.h:918:13: sparse: sparse: not a function 
>> 
--
   include/linux/atomic-fallback.h:918:13: sparse: sparse: undefined identifier 
'__builtin_arc_sr'
>> include/linu

[PATCH v3] Kernel selftests: Add check if TPM devices are supported

2020-05-21 Thread Nikita Sobolev
TPM2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
are available. In case, when these devices are not available test
fails, but expected behaviour is skipped test.

Signed-off-by: Nikita Sobolev 
---
Changes for v2:
- Coding Style cleanup

Changes for v3:
- Commit text message cleanup

 tools/testing/selftests/tpm2/test_smoke.sh | 5 +
 tools/testing/selftests/tpm2/test_space.sh | 5 +
 2 files changed, 10 insertions(+)

diff --git a/tools/testing/selftests/tpm2/test_smoke.sh 
b/tools/testing/selftests/tpm2/test_smoke.sh
index 8155c2ea7ccb..663062701d5a 100755
--- a/tools/testing/selftests/tpm2/test_smoke.sh
+++ b/tools/testing/selftests/tpm2/test_smoke.sh
@@ -1,6 +1,11 @@
 #!/bin/bash
 # SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
 
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -f /dev/tpm0 ] || exit $ksft_skip
+
 python -m unittest -v tpm2_tests.SmokeTest
 python -m unittest -v tpm2_tests.AsyncTest
 
diff --git a/tools/testing/selftests/tpm2/test_space.sh 
b/tools/testing/selftests/tpm2/test_space.sh
index a6f5e346635e..36c9d030a1c6 100755
--- a/tools/testing/selftests/tpm2/test_space.sh
+++ b/tools/testing/selftests/tpm2/test_space.sh
@@ -1,4 +1,9 @@
 #!/bin/bash
 # SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
 
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -f /dev/tpmrm0 ] || exit $ksft_skip
+
 python -m unittest -v tpm2_tests.SpaceTest
-- 
2.16.2


___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Ira Weiny
On Tue, May 19, 2020 at 12:42:15PM -0700, Guenter Roeck wrote:
> > On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
> > > as do the nosmp sparc32 boot tests,
> > > but sparc32 boot tests with SMP enabled still fail with lots of messages
> > > such as:
> > > 
> > > BUG: Bad page state in process swapper/0  pfn:006a1
> > > page:f0933420 refcount:0 mapcount:1 mapping:(ptrval) index:0x1
> > > flags: 0x0()
> > > raw:  0100 0122  0001   
> > > 
> > > page dumped because: nonzero mapcount
> > > Modules linked in:
> > > CPU: 0 PID: 1 Comm: swapper/0 Tainted: GB 
> > > 5.7.0-rc6-next-20200518-2-gb178d2d56f29 #1
> > > [f00e7ab8 :
> > > bad_page+0xa8/0x108 ]
> > > [f00e8b54 :
> > > free_pcppages_bulk+0x154/0x52c ]
> > > [f00ea024 :
> > > free_unref_page+0x54/0x6c ]
> > > [f00ed864 :
> > > free_reserved_area+0x58/0xec ]
> > > [f0527104 :
> > > kernel_init+0x14/0x110 ]
> > > [f000b77c :
> > > ret_from_kernel_thread+0xc/0x38 ]
> > > [ :
> > > 0x0 ]
> > > 
> > > Code path leading to that message is different but always the same
> > > from free_unref_page().
> > > 
> > > Still testing ppc images.
> > > 
> 
> ppc image tests are passing with this patch.

How about sparc?  I finally got your scripts to run on sparc and everything
looks to be passing?

Are we all good now?

Thanks again!
Ira

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Guenter Roeck
On 5/19/20 10:13 PM, Ira Weiny wrote:
> On Tue, May 19, 2020 at 12:42:15PM -0700, Guenter Roeck wrote:
>> On Tue, May 19, 2020 at 11:40:32AM -0700, Ira Weiny wrote:
>>> On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
 On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com wrote:
> From: Ira Weiny 
>
> The kunmap_atomic clean up failed to remove one set of pagefault/preempt
> enables when vaddr is not in the fixmap.
>
> Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate code")
> Signed-off-by: Ira Weiny 

 microblazeel works with this patch,
>>>
>>> Awesome...  Andrew in my rush yesterday I should have put a reported by on 
>>> the
>>> patch for Guenter as well.
>>>
>>> Sorry about that Guenter,
>>
>> No worries.
>>
>>> Ira
>>>
 as do the nosmp sparc32 boot tests,
 but sparc32 boot tests with SMP enabled still fail with lots of messages
 such as:

 BUG: Bad page state in process swapper/0  pfn:006a1
 page:f0933420 refcount:0 mapcount:1 mapping:(ptrval) index:0x1
 flags: 0x0()
 raw:  0100 0122  0001   
 
 page dumped because: nonzero mapcount
 Modules linked in:
 CPU: 0 PID: 1 Comm: swapper/0 Tainted: GB 
 5.7.0-rc6-next-20200518-2-gb178d2d56f29 #1
 [f00e7ab8 :
 bad_page+0xa8/0x108 ]
 [f00e8b54 :
 free_pcppages_bulk+0x154/0x52c ]
 [f00ea024 :
 free_unref_page+0x54/0x6c ]
 [f00ed864 :
 free_reserved_area+0x58/0xec ]
 [f0527104 :
 kernel_init+0x14/0x110 ]
 [f000b77c :
 ret_from_kernel_thread+0xc/0x38 ]
 [ :
 0x0 ]

 Code path leading to that message is different but always the same
 from free_unref_page().
> 
> Actually it occurs to me that the patch consolidating kmap_prot is odd for
> sparc 32 bit...
> 
> Its a long shot but could you try reverting this patch?
> 
> 4ea7d2419e3f kmap: consolidate kmap_prot definitions
> 

That is not easy to revert, unfortunately, due to several follow-up patches.

Guenter

> Alternately I will need to figure out how to run the sparc on qemu here...
> 
> Thanks very much for all the testing though!  :-D
> 
> Ira
> 

 Still testing ppc images.

>>
>> ppc image tests are passing with this patch.
>>
>> Guenter


___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Al Viro
On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
> On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com wrote:
> > From: Ira Weiny 
> > 
> > The kunmap_atomic clean up failed to remove one set of pagefault/preempt
> > enables when vaddr is not in the fixmap.
> > 
> > Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate code")
> > Signed-off-by: Ira Weiny 
> 
> microblazeel works with this patch, as do the nosmp sparc32 boot tests,
> but sparc32 boot tests with SMP enabled still fail with lots of messages
> such as:

BTW, what's your setup for sparc32 boot tests?  IOW, how do you manage to
shrink the damn thing enough to have the loader cope with it?  I hadn't
been able to do that for the current mainline ;-/

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Ira Weiny
On Thu, May 21, 2020 at 09:05:41AM -0700, Guenter Roeck wrote:
> On 5/19/20 10:13 PM, Ira Weiny wrote:
> > On Tue, May 19, 2020 at 12:42:15PM -0700, Guenter Roeck wrote:
> >> On Tue, May 19, 2020 at 11:40:32AM -0700, Ira Weiny wrote:
> >>> On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
>  On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com wrote:
> > From: Ira Weiny 
> >
> > The kunmap_atomic clean up failed to remove one set of pagefault/preempt
> > enables when vaddr is not in the fixmap.
> >
> > Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate code")
> > Signed-off-by: Ira Weiny 
> 
>  microblazeel works with this patch,
> >>>
> >>> Awesome...  Andrew in my rush yesterday I should have put a reported by 
> >>> on the
> >>> patch for Guenter as well.
> >>>
> >>> Sorry about that Guenter,
> >>
> >> No worries.
> >>
> >>> Ira
> >>>
>  as do the nosmp sparc32 boot tests,
>  but sparc32 boot tests with SMP enabled still fail with lots of messages
>  such as:
> 
>  BUG: Bad page state in process swapper/0  pfn:006a1
>  page:f0933420 refcount:0 mapcount:1 mapping:(ptrval) index:0x1
>  flags: 0x0()
>  raw:  0100 0122  0001   
>  
>  page dumped because: nonzero mapcount
>  Modules linked in:
>  CPU: 0 PID: 1 Comm: swapper/0 Tainted: GB 
>  5.7.0-rc6-next-20200518-2-gb178d2d56f29 #1
>  [f00e7ab8 :
>  bad_page+0xa8/0x108 ]
>  [f00e8b54 :
>  free_pcppages_bulk+0x154/0x52c ]
>  [f00ea024 :
>  free_unref_page+0x54/0x6c ]
>  [f00ed864 :
>  free_reserved_area+0x58/0xec ]
>  [f0527104 :
>  kernel_init+0x14/0x110 ]
>  [f000b77c :
>  ret_from_kernel_thread+0xc/0x38 ]
>  [ :
>  0x0 ]
> 
>  Code path leading to that message is different but always the same
>  from free_unref_page().
> > 
> > Actually it occurs to me that the patch consolidating kmap_prot is odd for
> > sparc 32 bit...
> > 
> > Its a long shot but could you try reverting this patch?
> > 
> > 4ea7d2419e3f kmap: consolidate kmap_prot definitions
> > 
> 
> That is not easy to revert, unfortunately, due to several follow-up patches.

I have gotten your sparc tests to run and they all pass...

08:10:34 > ../linux-build-test/rootfs/sparc/run-qemu-sparc.sh 
Build reference: v5.7-rc4-17-g852b6f2edc0f

Building sparc32:SPARCClassic:nosmp:scsi:hd ... running . passed
Building sparc32:SPARCbook:nosmp:scsi:cd ... running . passed
Building sparc32:LX:nosmp:noapc:scsi:hd ... running . passed
Building sparc32:SS-4:nosmp:initrd ... running . passed
Building sparc32:SS-5:nosmp:scsi:hd ... running . passed
Building sparc32:SS-10:nosmp:scsi:cd ... running . passed
Building sparc32:SS-20:nosmp:scsi:hd ... running . passed
Building sparc32:SS-600MP:nosmp:scsi:hd ... running . passed
Building sparc32:Voyager:nosmp:noapc:scsi:hd ... running . passed
Building sparc32:SS-4:smp:scsi:hd ... running . passed
Building sparc32:SS-5:smp:scsi:cd ... running . passed
Building sparc32:SS-10:smp:scsi:hd ... running . passed
Building sparc32:SS-20:smp:scsi:hd ... running . passed
Building sparc32:SS-600MP:smp:scsi:hd ... running . passed
Building sparc32:Voyager:smp:noapc:scsi:hd ... running . passed

Is there another test I need to run?

Ira


> 
> Guenter
> 
> > Alternately I will need to figure out how to run the sparc on qemu here...
> > 
> > Thanks very much for all the testing though!  :-D
> > 
> > Ira
> > 
> 
>  Still testing ppc images.
> 
> >>
> >> ppc image tests are passing with this patch.
> >>
> >> Guenter
> 

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Guenter Roeck
On 5/21/20 10:27 AM, Al Viro wrote:
> On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
>> On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com wrote:
>>> From: Ira Weiny 
>>>
>>> The kunmap_atomic clean up failed to remove one set of pagefault/preempt
>>> enables when vaddr is not in the fixmap.
>>>
>>> Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate code")
>>> Signed-off-by: Ira Weiny 
>>
>> microblazeel works with this patch, as do the nosmp sparc32 boot tests,
>> but sparc32 boot tests with SMP enabled still fail with lots of messages
>> such as:
> 
> BTW, what's your setup for sparc32 boot tests?  IOW, how do you manage to
> shrink the damn thing enough to have the loader cope with it?  I hadn't
> been able to do that for the current mainline ;-/
> 

defconfig seems to work just fine, even after enabling various debug
and file system options.

Guenter

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Guenter Roeck
On 5/21/20 10:42 AM, Ira Weiny wrote:
> On Thu, May 21, 2020 at 09:05:41AM -0700, Guenter Roeck wrote:
>> On 5/19/20 10:13 PM, Ira Weiny wrote:
>>> On Tue, May 19, 2020 at 12:42:15PM -0700, Guenter Roeck wrote:
 On Tue, May 19, 2020 at 11:40:32AM -0700, Ira Weiny wrote:
> On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
>> On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com wrote:
>>> From: Ira Weiny 
>>>
>>> The kunmap_atomic clean up failed to remove one set of pagefault/preempt
>>> enables when vaddr is not in the fixmap.
>>>
>>> Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate code")
>>> Signed-off-by: Ira Weiny 
>>
>> microblazeel works with this patch,
>
> Awesome...  Andrew in my rush yesterday I should have put a reported by 
> on the
> patch for Guenter as well.
>
> Sorry about that Guenter,

 No worries.

> Ira
>
>> as do the nosmp sparc32 boot tests,
>> but sparc32 boot tests with SMP enabled still fail with lots of messages
>> such as:
>>
>> BUG: Bad page state in process swapper/0  pfn:006a1
>> page:f0933420 refcount:0 mapcount:1 mapping:(ptrval) index:0x1
>> flags: 0x0()
>> raw:  0100 0122  0001   
>> 
>> page dumped because: nonzero mapcount
>> Modules linked in:
>> CPU: 0 PID: 1 Comm: swapper/0 Tainted: GB 
>> 5.7.0-rc6-next-20200518-2-gb178d2d56f29 #1
>> [f00e7ab8 :
>> bad_page+0xa8/0x108 ]
>> [f00e8b54 :
>> free_pcppages_bulk+0x154/0x52c ]
>> [f00ea024 :
>> free_unref_page+0x54/0x6c ]
>> [f00ed864 :
>> free_reserved_area+0x58/0xec ]
>> [f0527104 :
>> kernel_init+0x14/0x110 ]
>> [f000b77c :
>> ret_from_kernel_thread+0xc/0x38 ]
>> [ :
>> 0x0 ]
>>
>> Code path leading to that message is different but always the same
>> from free_unref_page().
>>>
>>> Actually it occurs to me that the patch consolidating kmap_prot is odd for
>>> sparc 32 bit...
>>>
>>> Its a long shot but could you try reverting this patch?
>>>
>>> 4ea7d2419e3f kmap: consolidate kmap_prot definitions
>>>
>>
>> That is not easy to revert, unfortunately, due to several follow-up patches.
> 
> I have gotten your sparc tests to run and they all pass...
> 
> 08:10:34 > ../linux-build-test/rootfs/sparc/run-qemu-sparc.sh 
> Build reference: v5.7-rc4-17-g852b6f2edc0f
> 

That doesn't look like it is linux-next, which I guess means that something
else in linux-next breaks it. What is your qemu version ?

Thanks,
Guenter

> Building sparc32:SPARCClassic:nosmp:scsi:hd ... running . passed
> Building sparc32:SPARCbook:nosmp:scsi:cd ... running . passed
> Building sparc32:LX:nosmp:noapc:scsi:hd ... running . passed
> Building sparc32:SS-4:nosmp:initrd ... running . passed
> Building sparc32:SS-5:nosmp:scsi:hd ... running . passed
> Building sparc32:SS-10:nosmp:scsi:cd ... running . passed
> Building sparc32:SS-20:nosmp:scsi:hd ... running . passed
> Building sparc32:SS-600MP:nosmp:scsi:hd ... running . passed
> Building sparc32:Voyager:nosmp:noapc:scsi:hd ... running . passed
> Building sparc32:SS-4:smp:scsi:hd ... running . passed
> Building sparc32:SS-5:smp:scsi:cd ... running . passed
> Building sparc32:SS-10:smp:scsi:hd ... running . passed
> Building sparc32:SS-20:smp:scsi:hd ... running . passed
> Building sparc32:SS-600MP:smp:scsi:hd ... running . passed
> Building sparc32:Voyager:smp:noapc:scsi:hd ... running . passed
> 
> Is there another test I need to run?
> 
> Ira
> 
> 
>>
>> Guenter
>>
>>> Alternately I will need to figure out how to run the sparc on qemu here...
>>>
>>> Thanks very much for all the testing though!  :-D
>>>
>>> Ira
>>>
>>
>> Still testing ppc images.
>>

 ppc image tests are passing with this patch.

 Guenter
>>


___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


RE: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Weiny, Ira
> On 5/21/20 10:42 AM, Ira Weiny wrote:
> > On Thu, May 21, 2020 at 09:05:41AM -0700, Guenter Roeck wrote:
> >> On 5/19/20 10:13 PM, Ira Weiny wrote:
> >>> On Tue, May 19, 2020 at 12:42:15PM -0700, Guenter Roeck wrote:
>  On Tue, May 19, 2020 at 11:40:32AM -0700, Ira Weiny wrote:
> > On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
> >> On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com
> wrote:
> >>> From: Ira Weiny 
> >>>
> >>> The kunmap_atomic clean up failed to remove one set of
> >>> pagefault/preempt enables when vaddr is not in the fixmap.
> >>>
> >>> Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate
> >>> code")
> >>> Signed-off-by: Ira Weiny 
> >>
> >> microblazeel works with this patch,
> >
> > Awesome...  Andrew in my rush yesterday I should have put a
> > reported by on the patch for Guenter as well.
> >
> > Sorry about that Guenter,
> 
>  No worries.
> 
> > Ira
> >
> >> as do the nosmp sparc32 boot tests, but sparc32 boot tests with
> >> SMP enabled still fail with lots of messages such as:
> >>
> >> BUG: Bad page state in process swapper/0  pfn:006a1
> >> page:f0933420 refcount:0 mapcount:1 mapping:(ptrval) index:0x1
> >> flags: 0x0()
> >> raw:  0100 0122  0001 
> >>   page dumped because: nonzero mapcount
> Modules
> >> linked in:
> >> CPU: 0 PID: 1 Comm: swapper/0 Tainted: GB 
> >> 5.7.0-rc6-next-
> 20200518-2-gb178d2d56f29 #1
> >> [f00e7ab8 :
> >> bad_page+0xa8/0x108 ]
> >> [f00e8b54 :
> >> free_pcppages_bulk+0x154/0x52c ]
> >> [f00ea024 :
> >> free_unref_page+0x54/0x6c ]
> >> [f00ed864 :
> >> free_reserved_area+0x58/0xec ]
> >> [f0527104 :
> >> kernel_init+0x14/0x110 ]
> >> [f000b77c :
> >> ret_from_kernel_thread+0xc/0x38 ]
> >> [ :
> >> 0x0 ]
> >>
> >> Code path leading to that message is different but always the
> >> same from free_unref_page().
> >>>
> >>> Actually it occurs to me that the patch consolidating kmap_prot is
> >>> odd for sparc 32 bit...
> >>>
> >>> Its a long shot but could you try reverting this patch?
> >>>
> >>> 4ea7d2419e3f kmap: consolidate kmap_prot definitions
> >>>
> >>
> >> That is not easy to revert, unfortunately, due to several follow-up
> patches.
> >
> > I have gotten your sparc tests to run and they all pass...
> >
> > 08:10:34 > ../linux-build-test/rootfs/sparc/run-qemu-sparc.sh
> > Build reference: v5.7-rc4-17-g852b6f2edc0f
> >
> 
> That doesn't look like it is linux-next, which I guess means that something
> else in linux-next breaks it. What is your qemu version ?

Ah yea that was just 5.7-rc4 with my patch set applied.  Yes must be something 
else or an interaction with my patch set.

Did I see another email with Mike which may fix this?

Ira

> 
> Thanks,
> Guenter
> 
> > Building sparc32:SPARCClassic:nosmp:scsi:hd ... running . passed
> > Building sparc32:SPARCbook:nosmp:scsi:cd ... running . passed
> > Building sparc32:LX:nosmp:noapc:scsi:hd ... running . passed
> > Building sparc32:SS-4:nosmp:initrd ... running . passed
> > Building sparc32:SS-5:nosmp:scsi:hd ... running . passed
> > Building sparc32:SS-10:nosmp:scsi:cd ... running . passed
> > Building sparc32:SS-20:nosmp:scsi:hd ... running . passed
> > Building sparc32:SS-600MP:nosmp:scsi:hd ... running . passed
> > Building sparc32:Voyager:nosmp:noapc:scsi:hd ... running . passed
> > Building sparc32:SS-4:smp:scsi:hd ... running . passed
> > Building sparc32:SS-5:smp:scsi:cd ... running . passed
> > Building sparc32:SS-10:smp:scsi:hd ... running . passed
> > Building sparc32:SS-20:smp:scsi:hd ... running . passed
> > Building sparc32:SS-600MP:smp:scsi:hd ... running . passed
> > Building sparc32:Voyager:smp:noapc:scsi:hd ... running . passed
> >
> > Is there another test I need to run?
> >
> > Ira
> >
> >
> >>
> >> Guenter
> >>
> >>> Alternately I will need to figure out how to run the sparc on qemu here...
> >>>
> >>> Thanks very much for all the testing though!  :-D
> >>>
> >>> Ira
> >>>
> >>
> >> Still testing ppc images.
> >>
> 
>  ppc image tests are passing with this patch.
> 
>  Guenter
> >>

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Al Viro
On Thu, May 21, 2020 at 03:20:46PM -0700, Guenter Roeck wrote:
> On 5/21/20 10:27 AM, Al Viro wrote:
> > On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
> >> On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com wrote:
> >>> From: Ira Weiny 
> >>>
> >>> The kunmap_atomic clean up failed to remove one set of pagefault/preempt
> >>> enables when vaddr is not in the fixmap.
> >>>
> >>> Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate code")
> >>> Signed-off-by: Ira Weiny 
> >>
> >> microblazeel works with this patch, as do the nosmp sparc32 boot tests,
> >> but sparc32 boot tests with SMP enabled still fail with lots of messages
> >> such as:
> > 
> > BTW, what's your setup for sparc32 boot tests?  IOW, how do you manage to
> > shrink the damn thing enough to have the loader cope with it?  I hadn't
> > been able to do that for the current mainline ;-/
> > 
> 
> defconfig seems to work just fine, even after enabling various debug
> and file system options.

The hell?  How do you manage to get the kernel in?  sparc32_defconfig
ends up with 5316876 bytes unpacked...

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Al Viro
On Thu, May 21, 2020 at 11:46:12PM +0100, Al Viro wrote:
> On Thu, May 21, 2020 at 03:20:46PM -0700, Guenter Roeck wrote:
> > On 5/21/20 10:27 AM, Al Viro wrote:
> > > On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
> > >> On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com wrote:
> > >>> From: Ira Weiny 
> > >>>
> > >>> The kunmap_atomic clean up failed to remove one set of pagefault/preempt
> > >>> enables when vaddr is not in the fixmap.
> > >>>
> > >>> Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate code")
> > >>> Signed-off-by: Ira Weiny 
> > >>
> > >> microblazeel works with this patch, as do the nosmp sparc32 boot tests,
> > >> but sparc32 boot tests with SMP enabled still fail with lots of messages
> > >> such as:
> > > 
> > > BTW, what's your setup for sparc32 boot tests?  IOW, how do you manage to
> > > shrink the damn thing enough to have the loader cope with it?  I hadn't
> > > been able to do that for the current mainline ;-/
> > > 
> > 
> > defconfig seems to work just fine, even after enabling various debug
> > and file system options.
> 
> The hell?  How do you manage to get the kernel in?  sparc32_defconfig
> ends up with 5316876 bytes unpacked...

Incidentally, trying to load it via -kernel/-initrd leads to
Configuration device id QEMU version 1 machine id 64
Probing SBus slot 0 offset 0
Probing SBus slot 1 offset 0
Probing SBus slot 2 offset 0
Probing SBus slot 3 offset 0
Probing SBus slot 15 offset 0
Invalid FCode start byte
CPUs: 1 x TI,TMS390Z55
UUID: ----
Welcome to OpenBIOS v1.1 built on Dec 27 2018 19:17
  Type 'help' for detailed information
[sparc] Kernel already loaded
switching to new context:
PROMLIB: obio_ranges 1
PROMLIB: Sun Boot Prom Version 3 Revision 2
Linux version 5.7.0-rc1-2-gcf51e129b968 (al@duke) (gcc version 6.3.0 
20170516 (Debian 6.3.0-18), GNU ld (GNU Binutils for Debian) 2.28) #32 Thu May 
21 18:36:07 EDT 2020
printk: bootconsole [earlyprom0] enabled
ARCH: SUN4M
TYPE: Sun4m SparcStation10/20
Ethernet address: 52:54:00:12:34:56
303MB HIGHMEM available.
OF stdout device is: /obio/zs@0,10:a
PROM: Built device tree with 30051 bytes of memory.
Booting Linux...
Power off control detected.
Kernel panic - not syncing: Failed to allocate memory for percpu areas.
CPU: 0 PID: 0 Comm: swapper Not tainted 5.7.0-rc1-2-gcf51e129b968 #32
[f04f92a8 : 
setup_per_cpu_areas+0x58/0x90 ] 
[f04edbf4 : 
start_kernel+0xc0/0x4a0 ] 
[f04ed43c : 
continue_boot+0x324/0x334 ] 
[ : 
0x0 ] 

Press Stop-A (L1-A) from sun keyboard or send break
twice on console to return to the boot prom
---[ end Kernel panic - not syncing: Failed to allocate memory for percpu 
areas. ]---

Giving guest more RAM doesn't change the outcome (well, the number HIGHMEM line 
is
obviously higher, but that's it).

So which sparc32 kernel have you booted with defconfig and how have you done
that?

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Guenter Roeck
On 5/21/20 5:46 PM, Al Viro wrote:
> On Thu, May 21, 2020 at 11:46:12PM +0100, Al Viro wrote:
>> On Thu, May 21, 2020 at 03:20:46PM -0700, Guenter Roeck wrote:
>>> On 5/21/20 10:27 AM, Al Viro wrote:
 On Tue, May 19, 2020 at 09:54:22AM -0700, Guenter Roeck wrote:
> On Mon, May 18, 2020 at 11:48:43AM -0700, ira.we...@intel.com wrote:
>> From: Ira Weiny 
>>
>> The kunmap_atomic clean up failed to remove one set of pagefault/preempt
>> enables when vaddr is not in the fixmap.
>>
>> Fixes: bee2128a09e6 ("arch/kunmap_atomic: consolidate duplicate code")
>> Signed-off-by: Ira Weiny 
>
> microblazeel works with this patch, as do the nosmp sparc32 boot tests,
> but sparc32 boot tests with SMP enabled still fail with lots of messages
> such as:

 BTW, what's your setup for sparc32 boot tests?  IOW, how do you manage to
 shrink the damn thing enough to have the loader cope with it?  I hadn't
 been able to do that for the current mainline ;-/

>>>
>>> defconfig seems to work just fine, even after enabling various debug
>>> and file system options.
>>
>> The hell?  How do you manage to get the kernel in?  sparc32_defconfig
>> ends up with 5316876 bytes unpacked...
> 
> Incidentally, trying to load it via -kernel/-initrd leads to
> Configuration device id QEMU version 1 machine id 64
> Probing SBus slot 0 offset 0
> Probing SBus slot 1 offset 0
> Probing SBus slot 2 offset 0
> Probing SBus slot 3 offset 0
> Probing SBus slot 15 offset 0
> Invalid FCode start byte
> CPUs: 1 x TI,TMS390Z55
> UUID: ----
> Welcome to OpenBIOS v1.1 built on Dec 27 2018 19:17
>   Type 'help' for detailed information
> [sparc] Kernel already loaded
> switching to new context:
> PROMLIB: obio_ranges 1
> PROMLIB: Sun Boot Prom Version 3 Revision 2
> Linux version 5.7.0-rc1-2-gcf51e129b968 (al@duke) (gcc version 6.3.0 
> 20170516 (Debian 6.3.0-18), GNU ld (GNU Binutils for Debian) 2.28) #32 Thu 
> May 21 18:36:07 EDT 2020
> printk: bootconsole [earlyprom0] enabled
> ARCH: SUN4M
> TYPE: Sun4m SparcStation10/20
> Ethernet address: 52:54:00:12:34:56
> 303MB HIGHMEM available.
> OF stdout device is: /obio/zs@0,10:a
> PROM: Built device tree with 30051 bytes of memory.
> Booting Linux...
> Power off control detected.
> Kernel panic - not syncing: Failed to allocate memory for percpu areas.
> CPU: 0 PID: 0 Comm: swapper Not tainted 5.7.0-rc1-2-gcf51e129b968 #32
> [f04f92a8 : 
> setup_per_cpu_areas+0x58/0x90 ] 
> [f04edbf4 : 
> start_kernel+0xc0/0x4a0 ] 
> [f04ed43c : 
> continue_boot+0x324/0x334 ] 
> [ : 
> 0x0 ] 
> 
> Press Stop-A (L1-A) from sun keyboard or send break
> twice on console to return to the boot prom
> ---[ end Kernel panic - not syncing: Failed to allocate memory for percpu 
> areas. ]---
> 
> Giving guest more RAM doesn't change the outcome (well, the number HIGHMEM 
> line is
> obviously higher, but that's it).
> 
> So which sparc32 kernel have you booted with defconfig and how have you done
> that?
> 

Mainline, with:

qemu-system-sparc -M SS-4 -kernel arch/sparc/boot/zImage -no-reboot \
-snapshot -drive file=rootfs.ext2,format=raw,if=scsi \
-append "panic=-1 slub_debug=FZPUA root=/dev/sda console=ttyS0"
-nographic -monitor none

The machine doesn't really matter, though. The root file system is built
with buildroot.

Note that I carry two reverts in my qemu images.

Revert "tcx: switch to load_image_mr() and remove prom_addr hack"
Revert "cg3: switch to load_image_mr() and remove prom-addr hack"

I have been carrying those since ~2017. I didn't check recently
if they are still needed.

If sparc32 is no longer supported in the upstream kernel,
would it possibly make sense remove its support ?

Guenter

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Al Viro
On Thu, May 21, 2020 at 06:11:08PM -0700, Guenter Roeck wrote:

> Mainline, with:
> 
> qemu-system-sparc -M SS-4 -kernel arch/sparc/boot/zImage -no-reboot \
>   -snapshot -drive file=rootfs.ext2,format=raw,if=scsi \
>   -append "panic=-1 slub_debug=FZPUA root=/dev/sda console=ttyS0"
>   -nographic -monitor none
> 
> The machine doesn't really matter, though.

It does, unfortunately - try that with SS-10 and watch what happens ;-/

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Al Viro
On Fri, May 22, 2020 at 02:29:50AM +0100, Al Viro wrote:
> On Thu, May 21, 2020 at 06:11:08PM -0700, Guenter Roeck wrote:
> 
> > Mainline, with:
> > 
> > qemu-system-sparc -M SS-4 -kernel arch/sparc/boot/zImage -no-reboot \
> > -snapshot -drive file=rootfs.ext2,format=raw,if=scsi \
> > -append "panic=-1 slub_debug=FZPUA root=/dev/sda console=ttyS0"
> > -nographic -monitor none
> > 
> > The machine doesn't really matter, though.
> 
> It does, unfortunately - try that with SS-10 and watch what happens ;-/

Ugh...  It's actually something in -m handling: -m 256 passes, -m 512
leads to that panic.

___
linux-snps-arc mailing list
linux-snps-arc@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/linux-snps-arc


Re: [PATCH] arch/{mips,sparc,microblaze,powerpc}: Don't enable pagefault/preempt twice

2020-05-21 Thread Guenter Roeck
On Fri, May 22, 2020 at 02:35:23AM +0100, Al Viro wrote:
> On Fri, May 22, 2020 at 02:29:50AM +0100, Al Viro wrote:
> > On Thu, May 21, 2020 at 06:11:08PM -0700, Guenter Roeck wrote:
> > 
> > > Mainline, with:
> > > 
> > > qemu-system-sparc -M SS-4 -kernel arch/sparc/boot/zImage -no-reboot \
> > >   -snapshot -drive file=rootfs.ext2,format=raw,if=scsi \
> > >   -append "panic=-1 slub_debug=FZPUA root=/dev/sda console=ttyS0"
> > >   -nographic -monitor none
> > > 
> > > The machine doesn't really matter, though.
> > 
> > It does, unfortunately - try that with SS-10 and watch what happens ;-/
> 
> Ugh...  It's actually something in -m handling: -m 256 passes, -m 512
> leads to that panic.

Default seems to be 128M. Anyway, see below log for SS-10.

Guenter

---
Configuration device id QEMU version 1 machine id 64
Probing SBus slot 0 offset 0
Probing SBus slot 1 offset 0
Probing SBus slot 2 offset 0
Probing SBus slot 3 offset 0
Probing SBus slot 15 offset 0
Invalid FCode start byte
CPUs: 1 x TI,TMS390Z55
UUID: ----
Welcome to OpenBIOS v1.1 built on Oct 28 2019 17:08
  Type 'help' for detailed information
[sparc] Kernel already loaded
switching to new context:
PROMLIB: obio_ranges 1
PROMLIB: Sun Boot Prom Version 3 Revision 2
Linux version 5.7.0-rc6-00026-g03fb3acae4be (gro...@server.roeck-us.net) (gcc 
version 6.5.0 (Buildroot 2018.11-rc2-00071-g4310260), GNU ld (GNU Binutils) 
2.31.1) #1 Thu May 21 19:17:48 PDT 2020
printk: bootconsole [earlyprom0] enabled
ARCH: SUN4M
TYPE: Sun4m SparcStation10/20
Ethernet address: 52:54:00:12:34:56
OF stdout device is: /obio/zs@0,10:a
PROM: Built device tree with 30586 bytes of memory.
Booting Linux...
Power off control detected.
Built 1 zonelists, mobility grouping on.  Total pages: 25012
Kernel command line: panic=-1 slub_debug=FZPUA root=/dev/sda console=ttyS0
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes, linear)
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes, linear)
Sorting __ex_table...
mem auto-init: stack:off, heap alloc:off, heap free:off
Memory: 103428K/100944K available (5050K kernel code, 178K rwdata, 1212K 
rodata, 176K init, 158K bss, 4294964812K reserved, 0K cma-reserved, 0K highmem)
NR_IRQS: 64
Console: colour dummy device 80x25

| Locking API testsuite:

 | spin |wlock |rlock |mutex | wsem | rsem |
  --
 A-A deadlock:failed|failed|  ok  
|failed|failed|failed|failed|
 A-B-B-A deadlock:failed|failed|  ok  
|failed|failed|failed|failed|
 A-B-B-C-C-A deadlock:failed|failed|  ok  
|failed|failed|failed|failed|
 A-B-C-A-B-C deadlock:failed|failed|  ok  
|failed|failed|failed|failed|
 A-B-B-C-C-D-D-A deadlock:failed|failed|  ok  
|failed|failed|failed|failed|
 A-B-C-D-B-D-D-A deadlock:failed|failed|  ok  
|failed|failed|failed|failed|
 A-B-C-D-B-C-D-A deadlock:failed|failed|  ok  
|failed|failed|failed|failed|
double unlock:  ok  |  ok  |failed|  ok  |failed|failed|  
ok  |
  initialize 
held:failed|failed|failed|failed|failed|failed|failed|
  --
  recursive read-lock: |  ok  | |failed|
   recursive read-lock #2: |  ok  | |failed|
mixed read-write-lock: |failed| |failed|
mixed write-read-lock: |failed| |failed|
  mixed read-lock/lock-write ABBA: |failed| |failed|
   mixed read-lock/lock-read ABBA: |  ok  | |failed|
 mixed write-lock/lock-write ABBA: |failed| |failed|
  --
 hard-irqs-on + irq-safe-A/12:failed|failed|  ok  |
 soft-irqs-on + irq-safe-A/12:failed|failed|  ok  |
 hard-irqs-on + irq-safe-A/21:failed|failed|  ok  |
 soft-irqs-on + irq-safe-A/21:failed|failed|  ok  |
   sirq-safe-A => hirqs-on/12:failed|failed|  ok  |
   sirq-safe-A => hirqs-on/21:failed|failed|  ok  |
 hard-safe-A + irqs-on/12:failed|failed|  ok  |
 soft-safe-A + irqs-on/12:failed|failed|  ok  |
 hard-safe-A + irqs-on/21:failed|failed|  ok  |
 soft-safe-A + irqs-on/21:failed|failed|  ok  |
hard-safe-A + unsafe-B #1/123:failed|failed|  ok  |
soft-safe-A + unsafe-B #1/123:failed|failed|  ok  |
hard-safe-A + unsafe-B #1/132:failed|failed|  ok  |
soft-safe-A + unsafe-B #1/132:failed|failed|  ok  |
hard-safe-A + unsafe-B #1/213:failed|failed|  ok  |
soft-safe-A + unsafe-B #1/213:failed|failed|  ok  |
hard-safe-A + unsafe-B #1/231:failed|failed|  ok  |
soft-safe-A + unsafe-B